OS/2, eCS & ArcaOS - Technical > Programming

[SOLVED] RPM Package Creation - Dependencies

(1/1)

Martin Iturbide:
Hi.

I tried to create a RPM package for AssoEdit.  Everything seems fine, with the exception that I do not want to include WPTOOLS.DLL since it is already bundled in ArcaOS.

The issue is when I run the RPM installer.


--- Quote ---[C:\HOME\RPMBUILD\RPMS\I686]yum install AssoEdit-2.1.2-1.oc00.i686.rpm
Setting up Install Process
Examining AssoEdit-2.1.2-1.oc00.i686.rpm: AssoEdit-2.1.2-1.oc00.i686
Marking AssoEdit-2.1.2-1.oc00.i686.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package AssoEdit.i686 0:2.1.2-1.oc00 will be installed
--> Processing Dependency: wptools.dll for package: AssoEdit-2.1.2-1.oc00.i686
--> Finished Dependency Resolution
Error: Package: AssoEdit-2.1.2-1.oc00.i686 (/AssoEdit-2.1.2-1.oc00.i686)
           Requires: wptools.dll
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

--- End quote ---

Yes it asks for wptools.dll, even if it is not a requirements on the specs file.

--- Quote ---Error: Package: AssoEdit-2.1.2-1.oc00.i686 (/AssoEdit-2.1.2-1.oc00.i686)
           Requires: wptools.dll

--- End quote ---

It makes me think that rpm is actually looking for the dependencies of the executable assoedit.exe file which was unexpected for me.

Does somebody knows how to make that the RPM package "compile" ignore that dependency?

Regards

Martin Iturbide:
Hi

I think I find it, thanks to Tellie for the tips.

I added
"%define __requires_exclude wptools.dll"
Now it does not ask for that DLL the rpm installer.

Regards

Navigation

[0] Message Index

Go to full version